FFPLAY(1)

NAME
ffplay - FFplay media player

SYNOPSIS
ffplay [options] input_file

DESCRIPTION
FFplay is a very simple and portable media player using the FFmpeg libraries and the SDL library. It is mostly used as a testbed for the various FFmpeg APIs.

OPTIONS

  Main options

-h  Show help.

-version
    Show version.

-L  Show license.

-formats
    Show available formats, codecs, protocols, ...

-x width
    Force displayed width.

-y height
    Force displayed height.

-s size
    Set frame size (WxH or abbreviation), needed for videos which don't contain a header with the frame size like raw YUV.

-an Disable audio.

-vn Disable video.

-ss pos
    Seek to a given position in seconds.

-bytes
    Seek by bytes.

-nodisp
    Disable graphical display.

-f fmt
    Force format.

  Advanced options

-pix_fmt format
    Set pixel format.

-stats
    Show the stream duration, the codec parameters, the current position in the stream and the audio/video synchronisation drift.

-debug
    Print specific debug info.

-bug
    Work around bugs.

-vismv
    Visualize motion vectors.

-fast
    Non-spec-compliant optimizations.

-genpts
    Generate pts.

-rtp_tcp
    Force RTP/TCP protocol usage instead of RTP/UDP. It is only meaningful if you are streaming with the RTSP protocol.

-sync type
    Set the master clock to audio ("type=audio"), video ("type=video") or external ("type=ext"). Default is audio. The master clock is used to control audio-video synchronization. Most media players use audio as master clock, but in some cases (streaming or high quality broadcast) it is necessary to change that. This option is mainly used for debugging purposes.

-threads count
    Set the thread count.

  While playing

q, ESC
    Quit.

f   Toggle full screen.

p, SPC
    Pause.

a   Cycle audio channel.

v   Cycle video channel.

w   Show audio waves.

left/right
    Seek backward/forward 10 seconds.

down/up
    Seek backward/forward 1 minute.

mouse click
    Seek to percentage in file corresponding to fraction of width.

SEE ALSO
ffmpeg(1), ffserver(1) and the HTML documentation of ffmpeg.

AUTHOR
Fabrice Bellard